Subject: Re: linux-next: manual merge of the selinux tree with the nfs tree

From: Trond Myklebust <[email-masked]>
Date: Tue, 17 Mar 2020 16:12:01 +0000

On Tue, 2020-03-17 at 11:18 -0400, Scott Mayhew wrote:
> On Tue, 17 Mar 2020, Trond Myklebust wrote:
> 
> > On Tue, 2020-03-17 at 13:31 +1100, Stephen Rothwell wrote:
> > > Hi all,
> > > 
> > > Today's linux-next merge of the selinux tree got a conflict in:
> > > 
> > >   fs/nfs/getroot.c
> > > 
> > > between commit:
> > > 
> > >   e8213ffc2aec ("NFS: Ensure security label is set for root
> > > inode")
> > > 
> > > from the nfs tree and commit:
> > > 
> > >   28d4d0e16f09 ("When using NFSv4.2, the security label for the
> > > root
> > > inode should be set via a call to nfs_setsecurity() during the
> > > mount
> > > process, otherwise the inode will appear as unlabeled for up to
> > > acdirmin seconds.  Currently the label for the root inode is
> > > allocated, retrieved, and freed entirely witin
> > > nfs4_proc_get_root().")
> > > 
> > > from the selinux tree.
> > > 
> > > These are basically the same patch with slight formatting
> > > differences.
> > > 
> > > I fixed it up (I used the latter) and can carry the fix as
> > > necessary.
> > > This is now fixed as far as linux-next is concerned, but any non
> > > trivial
> > > conflicts should be mentioned to your upstream maintainer when
> > > your
> > > tree
> > > is submitted for merging.  You may also want to consider
> > > cooperating
> > > with the maintainer of the conflicting tree to minimise any
> > > particularly
> > > complex conflicts.
> > > 
> > OK... Why is this being pushed through the selinux tree? Was that
> > your
> > intention Scott?
> 
> Not really... I addressed the patch to you and Anna, after all.  On
> the
> other hand, I didn't object when Paul picked up the patch in his
> tree.
> I'm guessing I should have spoken up.  Sorry about that.
> 

OK. Well there doesn't seem to be anything else touching the NFS mount
code in this dev cycle, so I don't expect any integration issues at
this point. I'm therefore OK with it going through the selinux tree.

I'll therefore drop the patch from the NFS tree, assuming you still
have it in the selinux tree, Paul.

-- 
Trond Myklebust
Linux NFS client maintainer, Hammerspace
[email-masked]